#include <stdio.h>
#include "SRCV2024/grpstruct2024.h"
#include "SRCV2025/grpstruct2025.h"

int grp_2024(GRP_ENTREE_2024, GRP_RESULTAT_2024*, GHS_VALORISATION_2024*, RSS_INFO_2024*);
int grp_2025(GRP_ENTREE_2025, GRP_RESULTAT_2025*, GHS_VALORISATION_2025*, RSS_INFO_2025*);

extern GRP_ENTREE_2024 grp_ent_2024;
extern GHS_VALORISATION_2024 ghs_val_2024;
extern RSS_INFO_2024 rss_inf_2024;

extern GRP_ENTREE_2025 grp_ent_2025;
extern GHS_VALORISATION_2025 ghs_val_2025;
extern RSS_INFO_2025 rss_inf_2025;

extern GRP_RESULTAT_2025 grp_res_2025;

extern int _igs_2025;
extern int lgdiag_2025;

extern int _igs_2024;
extern int lgdiag_2024;

extern int gradationHDJ_2025;
extern int gradationHDJ_2024;

extern char sejNonprog_2025;
extern char sejNonprog_2024;

extern int agegest_renseigne_2025;
extern int datedernregles_renseignee_2025;

extern int agegest_renseigne_2024;
extern int datedernregles_renseignee_2024;

extern void free_ptr_2025();
extern void grpclose_2025();

extern void free_ptr_2024();
extern void grpclose_2024();

extern int mfgets_2025(char *buf, int taillemax, FILE *ptrfile);
extern int contfmt_2025(char *zone,char format[],int ft,int taille);
extern int contdate_2025(char *adate);
extern int date_strict_sup_2025(char *date1,char *date2);

// Include N-API wrappers when building Node.js addon
#ifdef NODE_GYP_MODULE_NAME
#include "grp_2025_wrapper.h"
#endif

